const electron = require('electron');
const url = require('url');
const path = require('path');




const {app, BrowserWindow, Menu} = electron;


//SET ENV => toggle between production and notProduction
process.env.NODE_ENV = 'production';


let mainWindow;
let addWindow;

app.setAppUserModelId('com.squirrel.myapp.MyApp')

/**
 * ******************************
 * *   Creating the Main Window *
 * ******************************
 */
// Listen for app to be ready
app.on('ready', function(){
    //create new window
    mainWindow = new BrowserWindow({});

    //Load the html file to the window
    //This function basically passes file://dirname/index.html into the loadURL
    mainWindow.loadURL(url.format({
        pathname: path.join(__dirname, 'html/alphaReminderMain.html'),
        protocol: "file:",
        slashes: true
    }));

    // Quit app, when closed
    mainWindow.on('closed', function(){
        app.quit();
    })

    //Build Menu from Template
    const mainMenu = Menu.buildFromTemplate(mainMenuTemplate);

    //Insert the Menu
    Menu.setApplicationMenu(mainMenu);
});



const mainMenuTemplate = [
    {
      label:''
    },

];

//Add developer Tools item if not in procution
if(process.env.NODE_ENV != 'production'){
    mainMenuTemplate.push({
        label:'Developer Tools',
        submenu: [
            {

                label: 'Toggle Dev Tools',
                accelerator: process.platform == "darwin" ? 'Command+I':'Ctrl+I',
                click(item, focusedWindow){
                    focusedWindow.toggleDevTools();
                }
            },
            {
                role: 'reload'
            }
        ]
    });

};
