var assert = require('assert'),
	TimerJob = require('./');



var manualStartCompleted = 0;

var manualStart = new TimerJob({
	blocking: false,
	interval: 1000,
	autoStart: false
}, function(done) {
	manualStart.stop();
	manualStartCompleted++;
	assert.ok(done, 'no callback in manualStart');
	done();
});

manualStart.start();


setTimeout(function() {
	assert.ok(manualStartCompleted, 'manual start didn\'t complete');
	assert.ok(manualStartCompleted === 1, 'manual start ran twice wtf');
}, 3000);




var blockingTestCompleted = 0;
var blockingTest = new TimerJob({
	blocking: true,
	interval: 100,
	autoStart: true
}, function(done) {
	setTimeout(function() {
		blockingTestCompleted++;
		done();
	}, 800);
});

setTimeout(function() {
	assert.ok(blockingTestCompleted, 'blocking test never completed');
	assert.ok(blockingTestCompleted === 1, 'blocking test ran twice wtf');
	blockingTest.stop();
}, 1000);