"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isType(type, value) {
    return typeof value === type;
}
exports.isType = isType;
function isEmptyString(value) {
    return isString(value) && value.trim() === '';
}
exports.isEmptyString = isEmptyString;
function isString(value) {
    return isType('string', value);
}
exports.isString = isString;
function isNumber(value) {
    return isType('number', value);
}
exports.isNumber = isNumber;
function isInteger(value) {
    return isNumber(value) && isFinite(value) && Math.floor(value) === value;
}
exports.isInteger = isInteger;
function isFunction(value) {
    return isType('function', value);
}
exports.isFunction = isFunction;
function not(value) {
    return !value;
}
exports.not = not;
function inRange(value, min, max) {
    if (min === void 0) { min = 0; }
    if (max === void 0) { max = 1; }
    return Math.min(min, max) <= value && value < Math.max(min, max);
}
exports.inRange = inRange;
